MCP is live.Set upAsk the community
OmniDimension
Bulk calls

Start a draft campaign

Start a campaign that was created with save_as_draft: true.

POST/calls/bulk_call//start
Path parameters
bulk_call_idrequired
Body

Reseller keys only: act as one of your clients by its user id. Omit it to act on your own account. [How acting for a client works](/docs/reseller/your-clients/acting-as-clients).

curl -X POST 'https://omnidim.io/api/v1/calls/bulk_call/{bulk_call_id}/start' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "user_id": 1234
}'
Example response
{
  "status": "success",
  "message": "Bulk call started successfully",
  "current_status": "in_progress"
}

Authorization

BearerAuth
headerAuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

Path Parameters

bulk_call_id*integer

Id of the bulk call campaign.

Request Body

application/json
user_id?ClientUserId

Reseller keys only: act as one of your clients by its user id. Omit it to act on your own account. How acting for a client works.

Response body

application/json

Response Body

Campaign started.

application/json
status?string
message?string
current_status?string

Was this page helpful?